<?php

namespace App\Policies;

use Illuminate\Auth\Access\Response;
use App\Models\RfqTransporterBid;
use App\Models\User;

class RfqTransporterBidPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->checkPermissionTo('view-any RfqTransporterBid');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, RfqTransporterBid $rfqtransporterbid): bool
    {
        return $user->checkPermissionTo('view RfqTransporterBid');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->checkPermissionTo('create RfqTransporterBid');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, RfqTransporterBid $rfqtransporterbid): bool
    {
        return $user->checkPermissionTo('update RfqTransporterBid');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, RfqTransporterBid $rfqtransporterbid): bool
    {
        return $user->checkPermissionTo('delete RfqTransporterBid');
    }

    /**
     * Determine whether the user can delete any models.
     */
    public function deleteAny(User $user): bool
    {
        return $user->checkPermissionTo('delete-any RfqTransporterBid');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, RfqTransporterBid $rfqtransporterbid): bool
    {
        return $user->checkPermissionTo('restore RfqTransporterBid');
    }

    /**
     * Determine whether the user can restore any models.
     */
    public function restoreAny(User $user): bool
    {
        return $user->checkPermissionTo('restore-any RfqTransporterBid');
    }

    /**
     * Determine whether the user can replicate the model.
     */
    public function replicate(User $user, RfqTransporterBid $rfqtransporterbid): bool
    {
        return $user->checkPermissionTo('replicate RfqTransporterBid');
    }

    /**
     * Determine whether the user can reorder the models.
     */
    public function reorder(User $user): bool
    {
        return $user->checkPermissionTo('reorder RfqTransporterBid');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, RfqTransporterBid $rfqtransporterbid): bool
    {
        return $user->checkPermissionTo('force-delete RfqTransporterBid');
    }

    /**
     * Determine whether the user can permanently delete any models.
     */
    public function forceDeleteAny(User $user): bool
    {
        return $user->checkPermissionTo('force-delete-any RfqTransporterBid');
    }
}
